shishi_kdcreq_get_padata_tgs(3)

NAME
shishi_kdcreq_get_padata_tgs - API function

SYNOPSIS
#include <shishi.h>

int shishi_kdcreq_get_padata_tgs(Shishi * handle, Shishi_asn1 kdcreq, Shishi_asn1 * apreq);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

Shishi_asn1 kdcreq
    KDC-REQ to get PA-TGS-REQ from.

Shishi_asn1 * apreq
    Output variable with newly allocated AP-REQ.

DESCRIPTION
Extract TGS pre-authentication data from KDC-REQ. The data is an AP-REQ that authenticates the request. This function call shishi_kdcreq_get_padata() with a SHISHI_PA_TGS_REQ padatatype and DER decode the result (if any).

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.